ONVIF::Device::Types::CertificateGenerationParameters(3)

NAME
ONVIF::Device::Types::CertificateGenerationParameters

DESCRIPTION
Perl data type class for the XML Schema defined complexType CertificateGenerationParameters from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateID

•   Subject

•   ValidNotBefore

•   ValidNotAfter

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::CertificateGenerationParameters
   CertificateID =>  $some_value, # token
   Subject =>  $some_value, # string
   ValidNotBefore =>  $some_value, # token
   ValidNotAfter =>  $some_value, # token
   Extension =>  { # ONVIF::Device::Types::CertificateGenerationParametersExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL